//
//  BsAllApiName.swift
//  BaiSiSMApp
//
//  Created by davidhuang on 2022/10/18.
//  Copyright © 2022 www.davidhuang.com. All rights reserved.
//

class YHAllApiName {


    //===============登录相关 开始===============
    
    //手机号码、密码 登录
    static let loginByPwd = "user/UserLoginV2/loginByPwd"

    //手机号码、验证码 登录
    static let loginByVerifyCode = "user/UserLoginV2/loginByPhone"

    
    //更改手机号
    static let changedPhone = "user/User/changeUserPhone"

    //获取验证码
    static let verifyCode = "user/VerificationCodeV2/sendCode"

    //手机一键登录
    static let loginByOnePress = "user/UserLoginV2/oneClickPhoneLogin"
    
    //苹果登录
    static let appleLogin = "user/UserLoginV2/appleLogin"
    
    //苹果登录绑定手机号
    static let appleLoginBindPhone = "user/UserLoginV2/appleLoginBindPhone"

    //手机号码是否注册
    static let checkPhoneReigster = "user/UserLoginV2/checkPhoneRegister"

    //修改密码
    static let resetPwd = "user/user/editUserPassword"

    //用户注销
    static let unRegister = "user/user/destroy"

    //检查更新
    static let checkAppLastVersion = "system/AppVersion/getLastestVersion"
    //===============登录相关 结束===============



    //===============用户信息相关 开始===============
    //用户详细信息
    static let userDetailInfo = "user/user/userDetail"

    //更新 用户详细信息
    static let updateUserInfo = "user/user/updateUserInfo"

    //上传图片
    static let uploadImage = "system/Media/uploadBase64Image"


    //确认用户是否有未读信息
    static let reqUnreadMsgNum = "message/officialNotification/latestMonthUnreadNum"
    //===============用户信息相关 结束===============


    //===============用户反馈 开始===============
    //用户反馈
    static let userFeedBack = "user/Feedback/feedback"
    //===============用户反馈 结束===============





    //===============我的档案 开始===============
    //用户额外信息
    static let userExtInfo = "user/user/getUserExtInfo"


    //获取用户信息选择项目
    static let userSelection = "dictionary/DataDictionary/getUserDataList"


    //获取用户提交过的健康状态详情
    static let userHealthConditionDetail = "health/HealthCondition/getUserHealthConditionDetail"

    //获取用户相关的健康状态问题列表
    static let userHealthConditionList = "health/HealthCondition/getHealthConditionList"

    //提交健康状态
    static let submitHealthConditionReport = "health/HealthCondition/submitHealthConditionReport"
    //===============我的档案 结束===============



    //===============站内消息 开始===============
    //获取站内信 通知列表
    static let reqMsgList = "message/officialNotification/getNotificationList"

    //更新信息为已读状态
    static let updateMsgReadedStatus = "message/officialNotification/addReadRecord"

    //查询用户是否有未读消息 --- for test  hjl 还没有定义
    static let queryMsgReadedStatus = "user/user/getUserExtInfo"
    //===============站内消息 结束===============



    //===============我的订单 开始===============
    //获取 我的订单列表数据
    static let reqMyOrderListData = "order/order/getOrderList"
    
    //获取 订单详情
    static let reqGetOrderDetail = "order/order/getOrderDetail"

    //创建订单
    static let reqCreateOrder = "order/order/createOrderV1"
    
    //取消订单（只有待支付的才能取消）
    static let reqCancelOrder = "order/order/cancelOrder"
    
    //支付宝获取支付orderStr
    static let reqAliPayOrderStr = "pay/pay/aliPayOrderStr"
    
    //申请退款
    static let reqApplyRefund = "order/order/applyRefund"
    
    //===============我的订单 结束===============




    //===============量表 开始===============
    //获取已测评历史记录列表
    static let reqCpHistoryList = "jiankang/JkRiskCheck/getUserCheckHistoryList"

    //测评结果选项详情
    static let cpResultOptionDetail = "jiankang/JkRiskCheck/getUserCheckHistoryQuestionSnapshot"

    //获取量表测评分类
    static let reqScaleCategory = "jiankang/JkRiskCheck/getCategory"

    //获取量表测评列表
    static let reqScaleCategoryList = "jiankang/JkRiskCheck/getSubject"

    //量表详情（不含问题）
    static let reqScaleDetail = "jiankang/JkRiskCheck/getRiskCheckSubjectDetail"

    //量表详情&问题列表
    static let reqScaleQuestions = "jiankang/JkRiskCheck/getRiskCheckQuestion"

    //根据标签获取量表详情&问题列表(自我评估)
    static let reqScaleQuestionsForSelf = "jiankang/JkRiskCheck/getRiskCheckQuestionByTag"

    //提交测评数据
    static let submitScaleInfo = "jiankang/JkRiskCheck/submit"
    
    //获取已测评历史记录详情
    static let reqGetUserCheckHistoryInfo = "jiankang/JkRiskCheck/getUserCheckHistoryInfo"

    //获取是否已经做过自我评估(即是否填写过量表)
    static let checkHasFillScale = "jiankang/JkRiskCheck/getSelfCheckStatus"

    //===============量表 结束===============
    
    
    
    
    //===============主页 开始===============
    //获取banner列表
    static let reqGetBanner = "banner/banner/getBanner"
    
    //助眠专辑列表
    static let reqGetSleepAlbumList = "album/album/getSleepAlbumList"
    //===============主页 结束===============
    
    
    
    
    //===============商品 开始===============
    //获取上架的商品列表
    static let reqGetProductList = "product/product/getProductList"
    
    //获取指定商品详情
    static let reqGetProduct = "product/product/getProduct"
    
    //咨询服务展示选取的时间段
    static let reqGetConsultTimePeriod = "product/consult/getConsultTimePeriod"
    
    //===============商品 结束===============


    //===============标签 开始===============
    //全部的标签
    static let allTagsApi = "user/tag/getRisk"

    //已选标签
    static let selectedTagsApi = "user/tag/getTags"

    //设置标签
    static let setTagsApi = "user/tag/set"
    //===============标签 结束===============
    
    
    //===============睡眠曲 开始===============
    //睡眠曲分类列表
    static let getSleepMusicCategorys = "sleep/SleepMusic/getAllCategorys"
    
    //睡眠曲列表
    static let getSleepMusicList = "sleep/SleepMusic/list"
    //===============睡眠曲 结束===============
    
    
    //===============科普视频 开始===============
    //科普视频分类列表
    static let getSleepVideoCategorys = "sleep/SleepVideo/getAllCategorys"
    
    //科普视频列表
    static let reqGetSleepVideoList = "sleep/SleepVideo/list"
    
    //科普视频首页列表
    static let reqGetIndexVideoList = "sleep/SleepVideo/getIndexVideoList"
    //===============科普视频 结束===============
    
    
    //===============公开讲座 开始===============
    //公开讲座列表
    static let getOpenLectureList = "lecture/OpenLecture/list"
    //===============公开讲座 结束===============
    
    
    //===============行业资讯 开始===============
    //资讯首页列表数据
    static let getIndexKnowledgeList = "jiankang/JkKnowledge/getIndexKnowledgeList"
    
    //文章列表
    static let reqGetKnowledgeList = "jiankang/JkKnowledge/getKnowledgeList"
    //===============行业资讯 结束===============

    
    //===============安睡 开始===============
    //专辑详情
    static let albumDetail = "album/album/getDetail"

    //专辑中音乐列表
    static let albumMusicList = "album/album/getAlbumMusicList"

    //增加专辑浏览量
    static let addAlbumLookCount = "album/album/addLookCount"


    //视频或音乐点击播放埋点
    static let addPlayCount = "sleep/SleepPlayHistory/play"

    //===============安睡 开始===============
    
    
    //===============门诊 开始===============
    //获取门诊列表
    static let getClinicList = "clinic/clinic/getClinicList"
    
    //门诊详情
    static let getClinicDetail = "clinic/clinic/getDetail"
    
    //门诊绑定医生医生列表
    static let getBindDoctorList = "clinic/clinic/getBindDoctorList"
    //===============门诊 结束===============
    
    
    //===============医生 开始===============
    //医生列表
    static let getDoctorList = "sleep/Doctor/getDoctorList"
    
    //医生详情
    static let getDoctorDetail = "sleep/Doctor/detail"
    
    //医生直播及采访视频列表
    static let getDoctorVideoList = "sleep/Doctor/getDoctorVideoList"
    
    //首页搜索
    static let searchClinicDoctorList = "clinic/clinic/searchClinicDoctorList"
    //===============医生 结束===============
    
    
    //===============用户-跳转链接 开始===============
    //获取睡眠日记跳转链接
    static let getSleepDiaryUrl = "user/user/getSleepDiaryUrl"
    
    //获取cbti训练跳转链接
    static let getCBTIJumpUrl = "user/user/getCBTIJumpUrl"
    //===============用户-跳转链接 结束===============

}
